#pragma once

#ifdef __cplusplus
extern "C" {
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>   
/* USER INCLUDE BEGIN */

/* USER INCLUDE END */

/* USER DEFINE BEGIN */

/* USER DEFINE END */

/* USER FUNCTION BEGIN */
bool Key_rise(bool key,bool lastkey);
bool Key_fall(bool key,bool lastkey);
bool Key_press(bool key,bool lastkey,float now,float detectTime);
/* USER FUNCTION END */

#ifdef __cplusplus
}
#endif
